summaryrefslogtreecommitdiffstats
path: root/kubernetes/oneclick/createAll.bash
diff options
context:
space:
mode:
Diffstat (limited to 'kubernetes/oneclick/createAll.bash')
-rwxr-xr-xkubernetes/oneclick/createAll.bash46
1 files changed, 41 insertions, 5 deletions
diff --git a/kubernetes/oneclick/createAll.bash b/kubernetes/oneclick/createAll.bash
index 6e62c6bec4..bc211eeb47 100755
--- a/kubernetes/oneclick/createAll.bash
+++ b/kubernetes/oneclick/createAll.bash
@@ -1,11 +1,14 @@
#!/bin/bash
+. $(dirname "$0")/setenv.bash
+
usage() {
cat <<EOF
Usage: $0 [PARAMs]
-u : Display usage
-n [NAMESPACE] : Kubernetes namespace (required)
-s false : Exclude services (default: true)
+-i [INSTANCE] : ONAP deployment instance # (default: 1)
-a [APP] : Specify a specific ONAP component (default: all)
from the following choices:
sdc, aai ,mso, message-router, robot,
@@ -17,16 +20,27 @@ create_namespace() {
kubectl create namespace $1-$2
}
+create_registry_key() {
+ kubectl --namespace $1-$2 create secret docker-registry $3 --docker-server=$4 --docker-username=$5 --docker-password=$6 --docker-email=$7
+}
+
create_service() {
+ sed -i -- 's/nodePort: [0-9]\{2\}[02468]\{1\}/nodePort: '"$3"'/g' ../$2/all-services.yaml
+ sed -i -- 's/nodePort: [0-9]\{2\}[13579]\{1\}/nodePort: '"$4"'/g' ../$2/all-services.yaml
kubectl --namespace $1-$2 create -f ../$2/all-services.yaml
+ mv ../$2/all-services.yaml-- ../$2/all-services.yaml
}
#MAINs
NS=
INCL_SVC=true
APP=
+INSTANCE=1
+MAX_INSTANCE=5
+DU=$ONAP_DOCKER_USER
+DP=$ONAP_DOCKER_PASS
-while getopts ":n:u:s:a:" PARAM; do
+while getopts ":n:u:s:i:a:du:dp:" PARAM; do
case $PARAM in
u)
usage
@@ -38,6 +52,9 @@ while getopts ":n:u:s:a:" PARAM; do
s)
INCL_SVC=${OPTARG}
;;
+ i)
+ INSTANCE=${OPTARG}
+ ;;
a)
APP=${OPTARG}
if [[ -z $APP ]]; then
@@ -45,6 +62,12 @@ while getopts ":n:u:s:a:" PARAM; do
exit 1
fi
;;
+ du)
+ DU=${OPTARG}
+ ;;
+ dp)
+ DP=${OPTARG}
+ ;;
?)
usage
exit
@@ -59,8 +82,20 @@ fi
if [[ ! -z "$APP" ]]; then
ONAP_APPS=($APP)
-else
- ONAP_APPS=('sdc' 'aai' 'mso' 'message-router' 'robot' 'vid' 'sdnc' 'portal' 'policy' 'appc')
+fi
+
+if [[ "$INCL_SVC" == true ]]; then
+
+ if [ "$INSTANCE" -gt "$MAX_INSTANCE" ];then
+ printf "\n********** You choose to create ${INSTANCE}th instance of ONAP \n"
+ printf "\n********** Due to port allocation only ${MAX_INSTANCE} instances of ONAP is allowed per kubernetes deployment\n"
+ exit 1
+ fi
+
+ start=$((300+2*INSTANCE))
+ end=$((start+1))
+ printf "\n********** Creating instance ${INSTANCE} of ONAP with port range ${start}00 and ${end}99\n"
+
fi
printf "\n********** Creating up ONAP: ${ONAP_APPS[*]}\n"
@@ -71,7 +106,7 @@ for i in ${ONAP_APPS[@]}; do
if [[ "$INCL_SVC" == true ]]; then
printf "\nCreating services **********\n"
- create_service $NS $i
+ create_service $NS $i $start $end
fi
printf "\n"
@@ -79,7 +114,8 @@ done
printf "\n\n********** Creating deployments for ${ONAP_APPS[*]} ********** \n"
for i in ${ONAP_APPS[@]}; do
+ create_registry_key $NS $i $ONAP_DOCKER_REGISTRY_KEY $ONAP_DOCKER_REGISTRY $DU $DP $ONAP_DOCKER_MAIL
/bin/bash $i.sh $NS $i 'create'
done
-printf "**** Done ****"
+printf "\n**** Done ****\n"